Apache Tomcat 7.0.42

## org.apache.jasper.el
Class JasperELResolver

    java.lang.Object
      javax.el.ELResolver
          javax.el.CompositeELResolver
              org.apache.jasper.el.JasperELResolver

    public class JasperELResolver

extends CompositeELResolver

Jasper-specific CompositeELResolver that optimizes certain functions to avoid unnecessary resolver calls.

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`JasperELResolver(List<ELResolver> appResolvers)`

Method Summary
`void` `add(ELResolver elResolver)`
`Object` `getValue(ELContext context, Object base, Object property)`
`Object` `invoke(ELContext context, Object base, Object method, Class<?>[] paramTypes, Object[] params)`

Methods inherited from class javax.el.CompositeELResolver
`getCommonPropertyType, getFeatureDescriptors, getType, isReadOnly, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JasperELResolver

    public JasperELResolver(List<ELResolver> appResolvers)

Method Detail

### add

    public void add(ELResolver elResolver)

  Overrides:
    `add` in class `CompositeELResolver`

### getValue

    public Object getValue(ELContext context,
                           Object base,
                           Object property)
                    throws NullPointerException,
                           PropertyNotFoundException,
                           ELException

  Overrides:
    `getValue` in class `CompositeELResolver`
  Throws:
    `NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### invoke

    public Object invoke(ELContext context,
                         Object base,
                         Object method,
                         Class<?>[] paramTypes,
                         Object[] params)

  Overrides:
    `invoke` in class `CompositeELResolver`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.